#!/system/bin/sh
#
# Get the USB drive mount path and freespace
#
GetUSBDriveName()
{
	SDSTRING=$(df|grep '/sda[1-9]')
	if [ "$SDSTRING" = "" ];then 
		SDSTRING=$(df|grep sdb[1-9])
		if [ "$SDSTRING" = "" ];then
			SDSTRING=$(df|grep sdc[1-9])
			if [ "$SDSTRING" = "" ];then
				SDSTRING=$(df|grep sdd[1-9])
			fi
		fi
	fi
	if [ ! "$SDSTRING" = "" ];then
		FREESPACE=$(echo "$SDSTRING"|awk '{print $4}')
		UDISKNAME=$(echo "$SDSTRING"|awk '{print $1}')
	else
		UDISKNAME="NONE"
		FREESPACE="0M"
	fi
	
	FILECHECKED="FILE_ERROR"
	if [ ! "$UDISKNAME" = "NONE" ];then
		if [ -f $UDISKNAME/boot.img ];then
			if [ -f $UDISKNAME/recovery.img ];then
				if [ -f $UDISKNAME/system.img ];then
					if [ -f $UDISKNAME/vendor.img ];then
						FILECHECKED="FILE_OK"
					fi
				fi
			fi
		fi
	fi
}

GetUSBDriveName
if [ "$1" = "getname" ]; then
	echo $UDISKNAME
else 
	if [ "$1" = "getfreespace" ]; then
		echo $FREESPACE
	else 
		if [ "$1" = "checkfile" ]; then
			echo $FILECHECKED
		else 
			echo $UDISKNAME
			echo $FREESPACE
			echo $FILECHECKED
		fi
	fi
fi

